Lots of script-driven apps, especially paid cms, encode their files in order to ensure that they will not be reverse engineered or tampered with. The majority of them use an application known as ionCube PHP Encoder to do that, so, in case you buy a paid script and you want to install it in a hosting account, a tool known as ionCube Loader needs to be present on the server. Without this, you can't install the script or in case you somehow find a way to do this, it won't function appropriately due to the fact that most of the script code will be encoded to a point where it cannot be interpreted. That's why, you should make sure that ionCube Loader is present if you get a new website hosting account and you would like to use some paid web app. If you buy a shared web hosting account and the instrument is not present, it cannot be added since the whole server PHP environment shall have to be compiled again.

IonCube in Shared Website Hosting

IonCube Loader is present on all of the web servers that are part of our cloud website hosting platform, which means that regardless of the shared website hosting plan that you select during the signup process, you will be able to enable it from your Hepsia Control Panel. The process is as easy as clicking an On/Off button from the Advanced section, so even if this is your first web hosting account ever, you won't have to do anything complex. The very same section allows you to select the PHP release for your account (4, 5.2, 5.3, 5.4, 5.5), so if you would like to switch to a different version, you just have to activate ionCube Loader for it too. Because our platform is very flexible, you can even set some other PHP version and another status of ionCube using a php.ini file in each domain folder. In case this is something you want to do but you don't have much experience, the 24/7 technical support team will be able to help you in no time.

IonCube in Semi-dedicated Servers

If you aquire a semi-dedicated server plan from our company, you'll be able to employ any kind of script-driven application that requires ionCube Loader as the software tool is available on all of the servers that are a part of our cutting-edge cloud web hosting platform. Furthermore, we support multiple versions of PHP, and if you switch from PHP 4 to 5.2 or 5.3, for example, you can enable ionCube for this particular release with only a click in your Hepsia Control Panel. Our system will remember your choice, so if you move back to the previous version of PHP, the tool will already be active. For more tech-savvy users, we also provide the option to pick the PHP version and if ionCube will be active or not for a specific domain without altering the settings for the whole web hosting account. This can be done by putting a php.ini file in a domain folder with a few lines of program code.